# Conditional build:
%bcond_with		gtk3	# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	Lightweight task manager
Name:		lxtask
Version:	0.1.7
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	eb2ad374e97c317e2f74d47b1e582303
URL:		http://wiki.lxde.org/en/LXTask
BuildRequires:	gettext-tools
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXTask - lightweight and desktop-independent task manager derived from
xfce4-taskmanager with all dependencies on xfce removed, new features,
and some improvement of the user interface.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK
# unsupported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/frp
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/tt_RU

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxtask
%{_desktopdir}/lxtask.desktop
%{_mandir}/man1/lxtask.1.*
%changelog
* Wed Apr 20 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lxtask.git;a=log;h=master

* Wed Apr 20 2016 Marcin Krol <hawk@tld-linux.org> d7b5ee1
- updated to 0.1.7

* Wed Jul 22 2015 Marcin Krol <hawk@tld-linux.org> 856ce30
- drop unsupported locales

* Wed Jul 22 2015 Marcin Krol <hawk@tld-linux.org> 4b93387
- updated to 0.1.6

* Wed Jul 22 2015 Marcin Krol <hawk@tld-linux.org> b3f98ab
- from PLD

